Page MenuHomeSolus

Filezilla showing error upon startup every time
Closed, ResolvedPublic

Description

Looks like the same problem as with the last update.
https://dev.solus-project.com/T4389

ASSERT INFO:
./src/gtk/toplevel.cpp(988): assert "m_widget" failed in Show(): invalid frame

BACKTRACE:
[1] wxTopLevelWindowGTK::Show(bool)
[2] wxTopLevelWindowBase::Destroy()
[3] wxAppConsoleBase::CallEventHandler(wxEvtHandler*, wxEventFunctor&, wxEvent&) const
[4] wxEvtHandler::ProcessEventIfMatchesId(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&)
[5] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*)
[6] wxEvtHandler::TryHereOnly(wxEvent&)
[7] wxEvtHandler::ProcessEventLocally(wxEvent&)
[8] wxEvtHandler::ProcessEvent(wxEvent&)
[9] wxEvtHandler::SafelyProcessEvent(wxEvent&)
[10] wxTimerImpl::SendEvent()
[11] g_main_context_dispatch
[12] g_main_loop_run
[13] gtk_main
[14] wxGUIEventLoop::DoRun()
[15] wxEventLoopBase::Run()
[16] wxAppConsoleBase::MainLoop()
[17] wxEntry(int&, wchar_t**)
[18] __libc_start_main

FileZilla Client

Version: 3.30.0

Build information:

Compiled for:   x86_64-solus-linux-gnu
Compiled on:    x86_64-solus-linux-gnu
Build date:     2018-01-17
Compiled with:  x86_64-solus-linux-gcc (Solus) 7.2.0
Compiler flags: -mtune=generic -march=x86-64 -g2 -O2 -pipe -fPIC -D_FORTIFY_SOURCE=2 -fstack-protector-strong --param ssp-buffer-size=32 -fasynchronous-unwind-tables -ftree-vectorize -feliminate-unused-debug-types -Wall -Wno-error -Wp,-D_REENTRANT -g

Linked against:

wxWidgets:      3.0.3
SQLite:         3.20.1
GnuTLS:         3.5.14

Operating system:

Name:           Linux 4.14.14-47.current x86_64
Version:        4.14
CPU features:   sse sse2 sse3 ssse3 sse4.1 sse4.2 avx aes pclmulqdq
Settings dir:   /home/loguser/.config/filezilla/

Event Timeline

logTom created this task.Jan 23 2018, 7:31 AM
sunnyflunk added a subscriber: sunnyflunk.EditedJan 23 2018, 8:42 AM

This being the error only after the 2nd open (i.e. if you delete ~/.config/filezilla the error doesn't show)

Ideas:

  • Rebuild wxwidgets so they are on the same c++ ABI
  • Use gtk3 with wxwidgets
  • Apply patch from D603
sunnyflunk edited projects, added Software; removed Lacks Project.Jan 23 2018, 8:44 AM
sunnyflunk moved this task from Backlog to Package Fixes on the Software board.
JoshStrobl closed this task as Resolved.Mar 3 2018, 5:09 PM
JoshStrobl claimed this task.
JoshStrobl added a subscriber: JoshStrobl.

Issue appears to be resolved as of GTK3 wxWidgets update (T5974), least in my testing with a config.